Last Modified: 2017.11.26
Go TOP
CHECK

現在でも PostPet 2001 / V3 を動かしたい
 PostPet DX/2001 及び PostPet V3 の各アプリケーション(昔はソフトウェアって呼んでましたが)は現在でも動作するのか気になったので確認してみました。
 …というか、ポストペット省のコンテンツを作成する上で動作してくれないと何かと不便なので、どのようなPC環境ならば動作するのかを調べてみた覚書です。

Macintosh
■ PostPet 2001
 PostPet 2001 の最終安定版は ver.2.02 となっており、動作環境は Mac OS 7.6〜9.2.2 となっています。
 なお、マニュアルには「Mac OS X」以降は対応の予定がない旨の記載があります。
  動作保証環境
OS  Mac OS 7.6 〜 9.x
 Mac OS X以降の対応予定なし
CPU  68040 33MHz以上(PowerPC推奨)
RAM  8MB以上
HDD  30MB以上(インストール時)
モニタ  640×480ドット以上、256色以上
 PostPet 2001 Macintosh版はMac OS Xをサポートしておらず、Classic環境(Mac OS X 10.4まで)で動作したという報告もありますが、基本的に設定ファイルの読み込みに失敗するようです。
 したがって、Mac OS 9までのSystemディスクとMac OS 9が単独起動できるMacintoshPCを用意する必要があります。
Mac OS リリース日 備考
7.5 最終安定版は7.5.5
7.6 最終安定版は7.6.1
8.0 1997.09.26
8.1 1998.02.18
8.5 1998.10.17 最終安定版は8.5.1
8.6 1999.05.10
9.0 1999.10.23 最終安定版は9.0.4
9.1
9.2 最終安定版は9.2.2
Mac OS X リリース日 備考
10.0
Cheetah
2001.03.24 最終安定版は10.0.4
Classicで動作せず
10.1
Puma
2001.09.25 最終安定版は10.1.5
Classicで動作せず
10.2
Jagar
2002.08.24 最終安定版は10.2.8
Classicで動作せず
10.3
Panther
2003.10.24 最終安定版は10.3.9
Classicで動作せず
10.4
Tiger
2005.04.29 最終安定版は10.4.11
Classicで動作せず
10.5
Leopard
2007.10.29 PowerPCサポート外
Rosettaで動作せず
■ PostPet V3
 PostPet V3 の最終安定板は ver.3.39jp となっており、最低動作保証環境は Mac OS X 1.1.x〜10.4.2(または Mac OS 9.1+CarbonLib J1-1.6以上)となっています。
 なお、ver.3.39のリリースノートには「Intel社製CPU搭載Mac 及び Mac OS X 10.5(Leopard)」は動作保証環境と設定していない旨の記載があります。
  最低動作保証環境 推奨動作環境
OS  Mac OS 9.1+CarbonLib J1-1.6以上
 Mac OS X 10.1.x 〜 10.4.2
 Mac OS X 10.1.x 〜 10.4.2
CPU  PowerPC G3 350MHz以上  PowerPC G4 500MHz以上
RAM  64MB以上  64MB以上(実装メモリ256MB以上)
HDD  200MB以上(インストール時)  200MB以上(インストール時)
モニタ  800×600ドット以上、32,000色以上  1024×768ドット以上、1670万色表示
 PostPet V3 Macintosh版はPowerPCのみをサポートしており、Intel搭載のMacでは動作しません。AppleはIntelアーキテクチャへの移行にあたり、PowerPCバイナリの互換性を維持するため、PowerPC用プログラムコードをIntel用コードに変換するRosetta環境を用意しています。
 Rosetta(Mac OS X 10.6まで対応)上で、PostPet V3のベンチマークソフト「PostPet Mark」が動作するらしいのですが、PostPet V3が動作しない(動作したという報告は見つかっていない)ようです。
 したがって、Mac OS X 10.4(Tiger)までのOSを用意する必要があり、PowerPC(G3またはG4)搭載のMacintoshPCも用意する必要があります。
Mac OS 9 リリース日 備考
9.0 1999.10.23 最終安定版は9.0.4
9.1
9.2 最終安定版は9.2.2
Mac OS X リリース日 備考
10.0
Cheetah
2001.03.24 最終安定版は10.0.4
10.1
Puma
2001.09.25 最終安定版は10.1.5
10.2
Jagar
2002.08.24 最終安定版は10.2.8
10.3
Panther
2003.10.24 最終安定版は10.3.9
10.4
Tiger
2005.04.29 最終安定版は10.4.11
10.5
Leopard
2007.10.29 PowerPCサポート外
Rosettaで動作せず
■ Mac OS 9が単独起動できるPowerPC搭載機種
 PostPet 2001 と PostPet V3 の両バージョンが動作する機種を手に入れるなら、Mac OS 9が単独起動できる機種を選ぶ必要があり、ディスプレイを別に用意せずに済むことから、次の機種をオススメします。
iMac G4(Flat Panel)

[M8812J/A]
PowerPC G4 800MHz, 17" TFT

[M8535J/A]
PowerPC G4 800MHz, 15" TFT

PowerBook G4(Titanium)

[M8859J/A]
PowerPC G4 1GHz, 15" TFT

[M8858J/A]
PowerPC G4 867MHz, 15" TFT

Windows
■ PostPet 2001
 PostPet 2001 の最終安定版は ver.2.06 となっており、動作環境は Windows 95 / 98 / Me / 2000pro / XP となっています。
 なお、マニュアルには「Windows XP」以降は対応の予定がない旨の記載があります。
  動作保証環境
OS  Windows 95 / 98 / Me / 2000pro / XP
 WindowsXP以降の対応予定なし
CPU  i486SX 33MHz以上
 (Pentium 100MHz以上推奨)
RAM  8MB以上(16MB以上推奨)
HDD  30MB以上(インストール時)
モニタ  640×480ドット以上、256色以上
 PostPet 2001 Windows版はWindows XP以降をサポートしていませんが、Windows 7で動作したという報告はあります。また、Windows 8でも動作したという報告はあるものの、アップデートできない(UPDATEファイルが動作しない)らしく、旧環境からの移行は可能ながら新規インストールでは安定した動作は期待できません。
Windows リリース 備考
Windows 3.1 1992
Windows 95 1995
Windows NT4 1996
Windows 98 1998
Windows 98SE 1999
Windows 2000 2000
Windows Me 2000
Windows XP 2001
Windows Vista 2007
Windows 7 2009 XP MODEでも動作可
Windows 8 2012 UPDATEできない
Windows 8.1 2013 UPDATEできない
Windows 10 2015
■ PostPet V3
 PostPet V3 の最終安定版は ver.3.39jp となっており、最低動作保証環境は Windows 98 Second Edition / Me / 2000pro / XP(Windows 95, 98, NT では動作しない)となっています。
 なお、ver.3.39のリリースノートには「Windows Vista」は動作保証環境と設定していない旨の記載があります。
  最低動作保証環境 推奨動作環境
OS  Windows 98SE / Me / 2000pro / XP
 ※ Windows 95, 98, NT では動作しない
 Windows XP(Home Edition, Professional)
CPU  Pentium II 300MHz以上  Pentium III 450MHz以上
RAM  64MB以上(実装メモリ192MB以上)  64MB以上(実装メモリ256MB以上)
HDD  200MB以上(インストール時)  200MB以上(インストール時)
モニタ  800×600ドット以上、16ビット以上  1024×768ドット以上、32ビット以上
VRAM  16MB  32MB
グラ  OpenGL 1.1以上 または DirectX 8.1以上  OpenGL 1.1以上 または DirectX 8.1以上
 PostPet V3 Windows版は WindowsXP までの動作しか保証されていませんが、Windows7, Windows8, Windows10 でも動作する("PostPetV3 Windows○"で検索すると動作報告が多数見つかります)ようです。
 したがって、最新のWindowsPCでも動作は可能だと思われます。
Windows リリース 備考
Windows 95 1995
Windows NT4 1996
Windows 98 1998
Windows 98SE 1999
Windows 2000 2000
Windows Me 2000
Windows XP 2001
Windows Vista 2007
Windows 7 2009 XP MODEでも動作可
Windows 8 2012
Windows 10 2015

Mail Account
  最新の(といっても15年前ですが)PostPet V3 では POP/SMTP over SSL(送受信の際の通信を暗号化する方式)に対応していません。使用するためには、SSL非使用のサービスを利用する必要があります。
サービス 使用 容量
Gmail SSL 15GB
YAHOO! メール 2GB
Outlook Mail   無制限
gooメール(有料)   5GB
livedoorメール(終了)   有料
Exciteメール   2GB
AOLメール   無制限
BIGLOBEメール   5GB
Infoseekメール(終了)   50MB
Windows 8    
Windows 10    
 最新の(といっても15年前ですが)PostPet V3 では POP/SMTP over SSL(送受信の際の通信を暗号化する方式)に対応していません。
 Gmail …… SSL対応のため使用できない。
 YAHOO! mail …… 使用できます。